Get Avatar Detail
curl --request GET \
--url https://api.navtalk.ai/api/open/v1/avatar/detail \
--header 'license: <api-key>'import requests
url = "https://api.navtalk.ai/api/open/v1/avatar/detail"
headers = {"license": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {license: '<api-key>'}};
fetch('https://api.navtalk.ai/api/open/v1/avatar/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "SUCCESS",
"data": {
"id": "fbc269dcd0a738cf8e5e0f465671303c",
"name": "my-image-avatar",
"url": "https://example.com/photo.jpg",
"thumbnailUrl": "https://example.com/photo-thumbnail.jpg",
"providerId": "b92a28fb2ea737457c7f13ba554759c0",
"providerName": "openai",
"model": "agent_3201khcbet2vf349gpmtfg83q0hy",
"voice": "CwhRBWXzGAHq8TQ4Fs17",
"firstMessage": "Hi! How can I help you today?",
"prompt": "You are a helpful assistant.",
"videoFile": false,
"status": "Success"
}
}Avatar
Get Avatar Detail
Query detailed information of a specific avatar by its ID. Returns complete avatar configuration including provider settings, provider name, model, voice, and prompt information.
GET
/
api
/
open
/
v1
/
avatar
/
detail
Get Avatar Detail
Authorizations
NavTalk API license key (e.g. sk_navtalk_...)
Query Parameters
The avatar ID to query
Example:
"fbc269dcd0a738cf8e5e0f465671303c"
⌘I